Austin Group Defect Tracker

Aardvark Mark III


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0001159 [1003.1(2016)/Issue7+TC2] Shell and Utilities Editorial Clarification Requested 2017-08-16 16:20 2019-10-07 15:18
Reporter scottcheloha View Status public  
Assigned To ajosey
Priority normal Resolution Accepted As Marked  
Status Interpretation Required  
Name Scott Cheloha
Organization
User Reference
Section dd(1)
Page Number 2646
Line Number 86094-86096
Interp Status Proposed
Final Accepted Text See Note: 0004216
Summary 0001159: Is termination after receipt of SIGINT in dd(1) an error?
Description When dd(1) receives SIGINT it shall "interrupt its current processing, write status information to standard error, and exit as though terminated by SIGINT."

Does "exit as though terminated by SIGINT" imply effecting the default behavior as described in ยง2.4.3, i.e. restoring the default behavior for SIGINT and resignaling itself? Or will any nonzero status code suffice? Or is it not an error case at all, i.e. it should provide status 0 upon exit?
Desired Action Clarify whether receipt of SIGINT in dd(1) is an error, and if so whether or not it should exit with the same status it would under the default signal handler.
Tags tc3-2008
Attached Files

- Relationships

-  Notes
(0004216)
eblake (manager)
2019-01-21 16:51
edited on: 2019-01-21 16:59

Interpretation response
------------------------
The standard clearly states that dd shall terminate abnormally as if by SIGINT, and conforming implementations must conform to this.

Rationale:
-------------
Being able to use a 'trap' handler to cater to an abnormal termination of dd in a long-running script is a useful behavior. Additionally, the standard should allow for existing practice of some implementations providing a way to get ongoing status reports from dd without terminating the process.

Notes to the Editor (not part of this interpretation):
-------------------------------------------------------

At line 86094 (ASYNCHRONOUS EVENTS), change:
For SIGINT, the dd utility shall interrupt its current processing, write status information to standard error, and exit as though terminated by SIGINT. It shall take the standard action for all other signals; see the ASYNCHRONOUS EVENTS section in Section 1.4 (on page 2336).
to:
For SIGINT, the dd utility shall interrupt its current processing, write status information to standard error, and terminate abnormally as if by the default action for SIGINT. One or more implementation defined non-job-control signals other than SIGABRT, SIGHUP, and SIGTERM may write status information to standard error and continue processing. All other signals (including job control signals, SIGABRT, SIGHUP, and SIGTERM) shall take their default action; see the ASYNCHRONOUS EVENTS section in Section 1.4 (on page 2336).

      
At line 86205 FUTURE DIRECTIONS, change:
None.
to:
A future version of this standard may introduce the SIGINFO signal; on platforms where such a signal is available, it is recommended that this signal be used for reporting status without terminating the process.


(0004365)
geoffclare (manager)
2019-04-17 09:39

Looks like the Interp Status field was mistakenly set to "Proposed" when this bug was resolved. Setting it to "Pending".
(0004612)
agadmin (administrator)
2019-10-07 15:18

Interpretation proposed: 7 October 2019

- Issue History
Date Modified Username Field Change
2017-08-16 16:20 scottcheloha New Issue
2017-08-16 16:20 scottcheloha Status New => Under Review
2017-08-16 16:20 scottcheloha Assigned To => ajosey
2017-08-16 16:20 scottcheloha Name => Scott Cheloha
2017-08-16 16:20 scottcheloha Section => dd(1)
2017-08-16 16:20 scottcheloha Page Number => --
2017-08-16 16:20 scottcheloha Line Number => --
2017-08-16 16:21 scottcheloha Summary Is termination after receipt of SIGINT an error? => Is termination after receipt of SIGINT in dd(1) an error?
2019-01-14 15:42 nick Page Number -- => 2646
2019-01-14 15:42 nick Line Number -- => 86094-86096
2019-01-14 15:42 nick Interp Status => ---
2019-01-17 15:55 geoffclare Project 1003.1(2008)/Issue 7 => 1003.1(2016)/Issue7+TC2
2019-01-21 16:51 eblake Note Added: 0004216
2019-01-21 16:52 eblake Interp Status --- => Proposed
2019-01-21 16:52 eblake Final Accepted Text => See bugnote#4216
2019-01-21 16:52 eblake Status Under Review => Interpretation Required
2019-01-21 16:52 eblake Resolution Open => Accepted As Marked
2019-01-21 16:53 eblake Final Accepted Text See bugnote#4216 => See Note: 0004216
2019-01-21 16:59 Don Cragun Note Edited: 0004216
2019-01-21 17:05 Don Cragun Tag Attached: tc3-2008
2019-04-17 09:39 geoffclare Interp Status Proposed => Pending
2019-04-17 09:39 geoffclare Note Added: 0004365
2019-10-07 15:18 agadmin Interp Status Pending => Proposed
2019-10-07 15:18 agadmin Note Added: 0004612


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker